@import "./normalize.min.css";

body {
  color: rgb(255, 255, 255);
  background: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(255,255,255,1) 100%);
  background-repeat: no-repeat;
  height: 100vh;
  margin: 0 auto;
  padding-top: 120px;
}

.card_block {
  width: 190px;
  height: 400px;
  background-color: black;
  box-shadow: 0px 18px 11px -7px rgba(51, 51, 51, 0.5);
  transform-origin: bottom;
  position: absolute;
  z-index: 9;
  text-align: center;
  box-sizing: border-box;
}

.wrapper {
  display: flex;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
}

.wrapper:hover .card_block {
  animation-play-state: paused;
}

.card_block_img {
  height: 200px;
}

.img_size {
  max-width: 100%;
}

.card_block_text {
  font-size: 14px;
  padding: 0px 10px 0px;
}

.anim1 {
  animation: moving_card1 20s linear infinite;
}

.anim2 {
  animation: moving_card2 20s linear infinite;
}

.anim3 {
  animation: moving_card3 20s linear infinite;
}
.anim4 {
  animation: moving_card4 20s linear infinite;
}
.anim5 {
  animation: moving_card5 20s linear infinite;
}
.anim6 {
  animation: moving_card6 20s linear infinite;
}
.anim7 {
  animation: moving_card7 20s linear infinite;
}

@keyframes moving_card1 {
  0% {
    transform: translateX(0) scale(0.8);
  }
  28% {
    transform: translateX(420px) scale(1);
  }
  56% {
    transform: translateX(840px) scale(1);
  }
  84% {
    transform: translateX(1260px) scale(0.8);
  }
  100% {
    z-index: -1;
    transform: translateX(0) scale(0.8);
  }
}

@keyframes moving_card2 {
  0% {
    transform: translateX(210px) scale(0.9);
  }
  14% {
    transform: translateX(420px) scale(1);
  }
  42% {
    transform: translateX(840px) scale(1);
  }
  70% {
    transform: translateX(1260px) scale(0.8);
  }
  84% {
    z-index: -1;
    transform: translateX(0px) scale(0.8);
  }
  100% {
    transform: translateX(210px) scale(0.9);
  }
}

@keyframes moving_card3 {
  0% {
    z-index: 6;
    transform: translateX(420px) scale(1);
  }
  28% {
    transform: translateX(840px) scale(1);
  }
  56% {
    transform: translateX(1265px) scale(0.8);
  }

  70% {
    z-index: -1;
    transform: translateX(0) scale(0.8);
  }

  100% {
    transform: translateX(420px) scale(1);
  }
}

@keyframes moving_card4 {
  0% {
    transform: translateX(630px) scale(1);
  }

  14% {
    transform: translateX(840px) scale(1);
  }

  42% {
    transform: translateX(1260px) scale(0.8);
  }

  56% {
    z-index: -1;
    transform: translateX(0) scale(0.8);
  }

  84% {
    transform: translateX(420px) scale(1);
  }

  100% {
    z-index: 1;
    transform: translateX(630px) scale(1);
  }
}

@keyframes moving_card5 {
  0% {
    transform: translateX(840px) scale(1);
  }
  28% {
    transform: translateX(1260px) scale(0.8);
  }

  42% {
    z-index: -1;
    transform: translateX(0) scale(0.8);
  }

  70% {
    transform: translateX(420px) scale(1);
  }

  100% {
    transform: translateX(840px) scale(1);
  }
}

@keyframes moving_card6 {
  0% {
    transform: translateX(1050px) scale(0.9);
  }

  14% {
    transform: translateX(1260px) scale(0.8);
  }

  28% {
    z-index: -1;
    transform: translateX(0) scale(0.8);
  }

  56% {
    transform: translateX(420px) scale(1);
  }

  84% {
    transform: translateX(840px) scale(1);
  }

  100% {
    transform: translateX(1050px) scale(0.9);
  }
}

@keyframes moving_card7 {
  0% {
    transform: translateX(1260px) scale(0.8);
    z-index: -1;
  }

  14% {
    transform: translateX(0) scale(0.8);
    z-index: -1;
  }

  42% {
    transform: translateX(420px) scale(1);
  }

  70% {
    transform: translateX(840px) scale(1);
  }

  100% {
    transform: translateX(1260px) scale(0.8);
  }
}
